Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
VSI::SceneElement Class Reference

`#include <Plugin-VSI/scene/sceneElement.hh>`

Inheritance diagram for VSI::SceneElement:

## Public Member Functions
| SceneElement (GraphicsScene *_scene, Element *_element)
| Constructor.
| ~SceneElement ()
| Destructor.
void | paint (QPainter *_painter, const QStyleOptionGraphicsItem *_option, QWidget *_widget=0)
| Background painting.
Element * | element () const
| Context VSI::Element.
QVector< ElementInput * > | inputs ()
| Inputs.
QVector< ElementOutput * > | outputs ()
| Outputs.
QVector< ElementFunction * > | functions ()
| Functions.
ElementInput * | dataIn ()
| Scene input.
ElementOutput * | dataOut ()
| Scene output.
void | resetCodeGeneration ()
| Reset code block for code generation.
void | replaceCodeBlock (QString _name, QString _id, QString _value)
| Replace block with name _name and id _id with _value.
QString | variableId ()
| Unique variable name for code generation.
int | id ()
| Unique id for identification.
QString | code ()
| Code block.
bool | isBefore (SceneElement *_e)
| Will this element be executed before _e bacause of its connections?
bool | isAfter (SceneElement *_e)
| Will this element be executed after _e bacause of its connections?
void | saveToXml (QDomDocument &_doc, QDomElement &_root)
| Save to xml.
void | loadFromXml (QXmlQuery &_xml)
| Load from xml.
GraphicsScene * | graphicsScene ()
| Scene.

## Protected Member Functions
void | mousePressEvent (QGraphicsSceneMouseEvent *_event)
void | mouseMoveEvent (QGraphicsSceneMouseEvent *_event)
void | mouseReleaseEvent (QGraphicsSceneMouseEvent *_event)
void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *_event)
| Double click occured. We can't use mouseDoubleClickEvent because we won't get one for the ConecctionPoints.
void | moveEvent (QGraphicsSceneMoveEvent *_event)

## Private Slots
void | showInputConfig ()

## Private Member Functions
void | invalidateConnections ()

## Private Attributes
GraphicsScene * | scene_
Element * | element_
QVector< ElementInput * > | inputs_
QVector< ElementOutput * > | outputs_
ElementInput * | dataIn_
ElementOutput * | dataOut_
QVector< ElementFunction * > | functions_
QVector< ElementInput * > | configInputs_
QString | code_
int | id_
Text * | name_
Text * | elementName_
QGraphicsLinearLayout * | nameLayout_

## Detailed Description

Widget that represents an context element in the scene

Definition at line 79 of file sceneElement.hh.

The documentation for this class was generated from the following files:

- Plugin-VSI/scene/sceneElement.hh
- Plugin-VSI/scene/sceneElement.cc